diff --git a/CHANGELOG b/CHANGELOG
index cd8c387..4e9db28 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -1,3 +1,48 @@
+opendataplane (1.5.0.0)
+   * API:
+       - api: buffer: add functions to alloc/free multiple buffers at once
+       - api: cpu: change order of arguments for diff function
+       - api: crypto: add AES128-CBC encrypt/decrypt methods
+       - api: crypto: add HMAC-SHA-256-128 support
+       - api: crypto: move enums from platform types to odp and rename to fit the API format
+       - api: packet: add functions to alloc/free multiple packets at once
+       - api: queue: add odp_queue_info() function to retrieve queue information
+       - api: time: change order of arguments for diff function
+       - api: time: unbind CPU cycles from time API
+   * ODP docs:
+       - userguide: add baseline overview to document
+       - images: add additional user guide images
+       - implementers-guide: convert to ODP standard layout
+       - implementers-guide: fix broken doxygen build from tarball
+       - users-guide: move EXTRA_DIST down to its makefile
+       - Makefile: add docs to the tarball
+       - improve asciidoc presentation
+       - users-guide convert to asciidoc
+       - images: add resource_management.msc for users-guide
+       - images: add svg for user-guide
+   * Validation
+       - performance: odp_pktio_perf: fix potential overflow in wait loop
+       - test/example: avoid "cycle" word usage
+       - ability to specify test install directory
+       - buffer: add tests for buffer alloc/free multi functions
+       - crypto: add test for AES128 CBC
+       - crypto: add test for HMAC-SHA-256-128
+       - crypto: limit packet size to maximum supported by platform
+       - packet: add tests for packet alloc/free multi functions
+       - queue: api validation tests for odp_queue_info()
+       - remove strict dependency on CUnit 2.1-3
+       - scheduler: add missing ticketlock unlock
+   * General:
+       - rpm packaging support
+       - linux-generic: config: increase ODP_CONFIG_SCHED_GRPS to 256
+       - linux-generic: cpumask: warn that CPU0 is used by control and worker thread
+       - linux-generic: packet: add implementation for packet alloc/free multi
+       - linux-generic: pool: add buffer_alloc_multi function
+       - linux-generic: pool: add implementation for buffer alloc/free multi
+       - linux-generic: queue: add odp_queue_info() function
+       - linux-generic: validation: add run-test script for post install testing
+       - platform: move list of API files to Makefile.inc so it is common to all platforms
+
 opendataplane (1.4.1.0)
    * Validation
        - pktio: test transmit error recovery
diff --git a/include/odp/api/version.h b/include/odp/api/version.h
index 8912177..58bb7ec 100644
--- a/include/odp/api/version.h
+++ b/include/odp/api/version.h
@@ -37,7 +37,7 @@ extern "C" {
  * Introduction of major new features or changes. APIs with different major
  * versions are likely not backward compatible.
  */
-#define ODP_VERSION_API_MAJOR 4
+#define ODP_VERSION_API_MAJOR 5
 
 /**
  * ODP API minor version
@@ -46,7 +46,7 @@ extern "C" {
  * to the API. For an API with common generation and major version, but with
  * different minor numbers the two versions are backward compatible.
  */
-#define ODP_VERSION_API_MINOR 1
+#define ODP_VERSION_API_MINOR 0
 
 /**
  * Returns ODP API version string
diff --git a/pkg/debian/changelog b/pkg/debian/changelog
index 1983a9a..7680cf1 100644
--- a/pkg/debian/changelog
+++ b/pkg/debian/changelog
@@ -1,3 +1,8 @@
+opendataplane (1.5.0.0-1) unstable; urgency=low
+   * ODP release v1.5
+
+ -- Maxim Uvarov <maxim.uvarov@linaro.org>  Mon, 30 Nov 2015 13:08:43 +0300
+
 opendataplane (1.4.1.0-1) unstable; urgency=low
    * Validation
        - pktio: test transmit error recovery
diff --git a/pkg/rpm/odp.spec b/pkg/rpm/odp.spec
index aa57476..e76fe58 100644
--- a/pkg/rpm/odp.spec
+++ b/pkg/rpm/odp.spec
@@ -68,5 +68,7 @@ and guides in HTMLformats.
 %post -p /sbin/ldconfig
 %postun -p /sbin/ldconfig
 %changelog
+* Mon Nov 30 2015 - mike.holmes (at) linaro.org
+- ODP release v1.5
 * Tue Nov 10 2015 - anders.roxell (at) linaro.org
 - Initial rpm release, ODP release v1.4